logo

Nooskewl issue tracker: Issue201

Title Make swipes on Apple TV remote stick
Priority bug Status resolved
Assigned To goobliata Product Nooskewl Shim
Nosy List goobliata

Created on 2017-11-08.19:05:35 by goobliata, last changed by goobliata.

Messages
msg263 (view) Author: goobliata Date: 2017-11-08.19:05:35
So you can swipe once and keep moving if you hold it? Don't know how it works.
msg292 (view) Author: goobliata Date: 2017-11-15.03:02:28
Also taps on edges (down starts, up stops?) (if possible)
msg300 (view) Author: goobliata Date: 2017-11-16.08:24:59
The way SDL passes these events along is through key press events. They come in
simultaneously as a down then up (this is the was tvOS works, sending
UIPressType with Left/Right etc.) The only way to get the directions to stick
would be to handle the presses at a lower level manually. Might be possible
using SDL's mouse or finger events (they're currently disabled in TGUI.)
msg301 (view) Author: goobliata Date: 2017-11-16.08:33:05
A good method might be ignoring directional keys and converting mouse events to
joystick events.
msg302 (view) Author: goobliata Date: 2017-11-16.18:10:52
Sadly the only thing the remote is good for is swipes. Mouse coordinates begin
at 0.5, 0.5 no matter where you press and then go toward +-1 from there.
History
Date User Action Args
2017-11-16 18:10:52goobliatasetstatus: accepted -> resolved
messages: + msg302
2017-11-16 08:33:05goobliatasetmessages: + msg301
2017-11-16 08:24:59goobliatasetmessages: + msg300
2017-11-15 03:02:28goobliatasetmessages: + msg292
2017-11-08 19:05:35goobliatacreate